diff --git a/build_pdata.sh b/build_pdata.sh
index 5fde2041c5c04b8b0ebfbe3c12aaaf91c2e9ccc5..ab01441b9bd6aab1e78825f183ec0d977592211e 100644
--- a/build_pdata.sh
+++ b/build_pdata.sh
@@ -66,10 +66,10 @@ then
  sh ./autogen.sh
  ./install --with-boost=/sw/apps/boost/1.54.0/  CXX=mpic++
  make
-# if [ $? -ne 0 ]; then exit 1
+ if [ $? -ne 0 ]; then exit 1
 
  ## Run on the cluster
-# bsub -o output_run2.%J -K -n 2 -R "span[hosts=1]" "module load openmpi/1.8.1 ; module load gcc/4.9.2;  mpirun -np 2 ./src/pdata"
+ bsub -o output_run2.%J -K -n 2 -R "span[hosts=1]" "module load openmpi/1.8.1 ; module load gcc/4.9.2;  mpirun -np 2 ./src/pdata"
 # if [ $? -ne 0 ]; then exit 1 ; fi
 # bsub -o output_run3.%J -K -n 3 -R "span[hosts=1]" "module load openmpi/1.8.1 ; module load gcc/4.9.2;  mpirun -np 3 ./src/pdata"
 # if [ $? -ne 0 ]; then exit 1 ; fi